Get a list of questionnaire responses
get
/QuestionnaireResponse
Note: The FHIR API endpoints described below are currently pending production deployment for electronic health record (EHR) environments. Developers are welcome and encouraged to develop against the specifications in anticipation of production availability, which will be announced at a later date.
Retrieves a list of questionnaire responses that meet the supplied query parameters.
Request
Query Parameters
-
_id: string
The logical resource ID.
-
_revinclude: string
The related Provenance resources to include in the search bundle.Allowed Values:
[ "Provenance:target" ] -
patient: string
The subject (patient) of the questionnaire response.
Header Parameters
-
accept(required): string
The media type to be requested.
Example:
application/fhir+json -
authorization(required): string
The credentials to authenticate a consumer to the service. This should be the OAuth2 Bearer Token.
There's no request body for this operation.
Back to TopResponse
200 Response
Successful search response.
Root Schema : schema
Type:
Show Source
object-
entry: array
entry
-
id(required): string
-
link: array
link
-
resourceType(required): string
Allowed Values:
[ "Bundle" ] -
type(required): string
Nested Schema : QuestionnaireResponse
Type:
Show Source
object-
author:
author
(USCDI) The person who received and recorded the answers.
-
authored(required): string
(date-time)
(USCDI) The date when the answers were gathered.
-
id(required): string
-
identifier:
identifier
The unique ID for this set of answers.
-
item: array
item
(USCDI) The groups and questions.
-
questionnaire(required): string
(USCDI) The form being answered.
-
resourceType(required): string
Allowed Values:
[ "QuestionnaireResponse" ] -
status(required): string
(USCDI) The following values are supported:
in-progresscompletedamendedentered-in-errorstopped
-
subject(required):
subject
(USCDI) The subject of the questions.
Nested Schema : identifier
The unique ID for this set of answers.
Match All
The unique ID for this set of answers.
Show Source
Nested Schema : subject
(USCDI) The subject of the questions.
Match All
(USCDI) The subject of the questions.
Show Source
Nested Schema : QuestionnaireResponseItem
Type:
Show Source
object-
answer: array
answer
The responses to the question.
-
item: array
item
The nested questionnaire response items.
-
linkId(required): string
(USCDI) The pointer to a specific item from the questionnaire.
-
text: string
The name for the group or question text.
Nested Schema : QuestionnaireResponseAnswer
Type:
Show Source
object-
item: array
item
The nested groups and questions.
-
valueBoolean: boolean
(USCDI) The single-valued answer to the question.
-
valueCoding:
valueCoding
(USCDI) The single-valued answer to the question.
-
valueDate: string
(date)
(USCDI) The single-valued answer to the question.
-
valueDateTime: string
(date-time)
(USCDI) The single-valued answer to the question.
-
valueDecimal: number
(USCDI) The single-valued answer to the question.
-
valueInteger: integer
(USCDI) The single-valued answer to the question.
-
valueReference:
valueReference
(USCDI) The single-valued answer to the question.
-
valueString: string
(USCDI) The single-valued answer to the question.
-
valueTime: string
(USCDI) The single-valued answer to the question.
-
valueUri: string
(uri)
(USCDI) The single-valued answer to the question.
Nested Schema : valueCoding
(USCDI) The single-valued answer to the question.
Match All
(USCDI) The single-valued answer to the question.
Show Source
Nested Schema : valueReference
(USCDI) The single-valued answer to the question.
Match All
(USCDI) The single-valued answer to the question.
Show Source
Nested Schema : BundleLink
Type:
Show Source
object-
relation: string
Allowed Values:
[ "self", "next", "previous" ] -
url: string
(uri)
Default Response
An OperationOutcome
describing any error that occurred.
Root Schema : OperationOutcome
Type:
Show Source
object-
issue(required): array
issue
-
resourceType(required): string
Allowed Values:
[ "OperationOutcome" ]